%global momorel 2
Summary: A remote desktop system for GNOME
Name: vino

Version: 2.22.2
Release: %{momorel}m%{?dist}
URL: http://www.gnome.org/
License: GPL
Group: User Interface/Desktops

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: vino-2.22.0-libgnomeui.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel >= 2.16.3
BuildRequires: gtk2-devel >= 2.12.9
BuildRequires: GConf2-devel >= 2.22.0
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libgnomeui-devel >= 2.22.1
BuildRequires: libnotify-devel >= 0.4.4
BuildRequires: gnome-keyring-devel >= 2.22.1
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: pango-devel >= 1.20.2
BuildRequires: ORBit2-devel >= 2.14.12
BuildRequires: libbonobo-devel >= 2.22.0
BuildRequires: avahi-devel >= 0.6.22
BuildRequires: avahi-glib-devel >= 0.6.22
BuildRequires: libgcrypt-devel >= 1.2.4
BuildPreReq: openssl-devel >= 0.9.8g

BuildRequires: intltool
BuildRequires: pkgconfig
Requires: gtk2
Requires: libglade2
Requires: GConf2
Requires: libgnomeui
Requires: libgcrypt
Prereq: GConf2

Patch2: vino-2.17.92-http.patch

%description
Vino is a VNC server for GNOME. It allows remote users to
connect to a running GNOME session using VNC.

%prep
%setup -q
%patch0 -p1 -b .libgnomeui
%patch2 -p1 -b .http

%build
autoconf
%configure --enable-session-support=yes \
    --enable-http-server=yes \
    --disable-schemas-install \
    --enable-libnotify \
    --enable-gnome-keyring \
    --enable-avahi \
    --enable-ipv6
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="vino-server.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README docs/TODO docs/remote-desktop.txt
%{_sysconfdir}/gconf/schemas/vino-server.schemas
%{_datadir}/%{name}/*.glade
%{_libdir}/bonobo/servers/*.server
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/applications/vino-preferences.desktop

%changelog
* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22.2-2m)
- rebuild against gnutls-2.4.1

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0
- delete patch1 (fixed)

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.20.1-2m)
- %%NoSource -> NoSource

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-1m)
- update to 2.17.5 (unstable)

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.13.5-5m)
- rebuild against gnutls-1.4.4-1m

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.13.5-4m)
- rebuild against expat-2.0.0-1m

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-1m)
- update to 2.13.5

* Sun Jan  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.0-2m)
- BuildRequires: libgcrypt-devel >= 1.2.2-2m

* Tue Nov 22 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-1m)
- import from Fedora

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1
- Remove backported fixes

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1.1
- Don't hang with metacity's "reduced resources" mode (#134240) 
- Improve the key repeat rate situation a good deal (#134451)

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0
- Remove upstreamed work-without-gnutls patch

* Tue Sep  7 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-3
- Disable help button until there is help (#131632)
 
* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-2
- Add patch to fix hang without GNU TLS (bug #131354)

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Tue Aug 17 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Mon Aug 16 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-2
- Define libgcrypt_version

* Thu Aug 12 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.4-1
- Update to 2.7.4

* Tue Jul 13 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3.1-1
- Initial build.
